package com.uas.platform.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "report$config")
public class ReportConfig {

	/**
	 * ID
	 */
	@Id
	@Column(unique = true, name = "re_id")
	private Long id;
	
	/**
	 * 企业UU号
	 */
	@Column(name = "re_enuu")
	private Long enuu;
	
	/**
	 * 报表名称
	 */
	@Column(name = "re_reportname")
	private String reportname;
	
	/**
	 * 页面名称
	 */
	@Column(name = "re_pagename")
	private String pagename;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getEnuu() {
		return enuu;
	}

	public void setEnuu(Long enuu) {
		this.enuu = enuu;
	}

	public String getReportname() {
		return reportname;
	}

	public void setReportname(String reportname) {
		this.reportname = reportname;
	}

	public String getPagename() {
		return pagename;
	}

	public void setPagename(String pagename) {
		this.pagename = pagename;
	}
	
	
}
